import type { NobjcObject } from "objc-js";
import type { _NSCoder } from "../Foundation/NSCoder.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _NSMovie extends _NSObject {
    static alloc(): _NSMovie;
    static new(): _NSMovie;
    /** @deprecated As of macOS 10.15 this method always returns nil. */
    initWithCoder$(coder: _NSCoder): _NSMovie | null;
    /** @deprecated As of macOS 10.15 this method always returns nil. */
    initWithMovie$(movie: NobjcObject): _NSMovie | null;
    /** @deprecated As of macOS 10.15 this method always returns nil. */
    QTMovie(): NobjcObject | null;
}
